pcl::PapazovHV< ModelT, SceneT > Class Template Reference

A hypothesis verification method proposed in "An Efficient RANSAC for 3D Object Recognition in Noisy and Occluded Scenes", C. More...

`#include <pcl/recognition/hv/hv_papazov.h>`

Inheritance diagram for pcl::PapazovHV< ModelT, SceneT >:

## Public Member Functions

| PapazovHV ()
void | setConflictThreshold (float t)
void | setSupportThreshold (float t)
void | setPenaltyThreshold (float t)
void | verify ()
Public Member Functions inherited from pcl::HypothesisVerification< ModelT, SceneT >
| HypothesisVerification ()
bool | getRequiresNormals ()
void | setResolution (float r)
void | setOcclusionThreshold (float t)
void | setInlierThreshold (float r)
void | getMask (std::vector< bool > &mask)
void | addCompleteModels (std::vector< typename pcl::PointCloud< ModelT >::ConstPtr > &complete_models)
void | addNormalsClouds (std::vector< pcl::PointCloud< pcl::Normal >::ConstPtr > &complete_models)
void | addModels (std::vector< typename pcl::PointCloud< ModelT >::ConstPtr > &models, bool occlusion_reasoning=false)
void | setSceneCloud (const typename pcl::PointCloud< SceneT >::Ptr &scene_cloud)
void | setOcclusionCloud (const typename pcl::PointCloud< SceneT >::Ptr &occ_cloud)

## Additional Inherited Members

Protected Attributes inherited from pcl::HypothesisVerification< ModelT, SceneT >
std::vector< bool > | mask_
pcl::PointCloud< SceneT >::ConstPtr | scene_cloud_
pcl::PointCloud< SceneT >::ConstPtr | occlusion_cloud_
bool | occlusion_cloud_set_
pcl::PointCloud< SceneT >::Ptr | scene_cloud_downsampled_
pcl::search::KdTree< SceneT >::Ptr | scene_downsampled_tree_
std::vector< typename pcl::PointCloud< ModelT >::ConstPtr > | visible_models_
std::vector< typename pcl::PointCloud< pcl::Normal >::ConstPtr > | visible_normal_models_
std::vector< typename pcl::PointCloud< ModelT >::ConstPtr > | complete_models_
std::vector< typename pcl::PointCloud< pcl::Normal >::ConstPtr > | complete_normal_models_
int | zbuffer_scene_resolution_
int | zbuffer_self_occlusion_resolution_
float | resolution_
float | inliers_threshold_
float | occlusion_thres_
bool | requires_normals_
bool | normals_set_

## Detailed Description

### template<typename ModelT, typename SceneT>
class pcl::PapazovHV< ModelT, SceneT >

A hypothesis verification method proposed in "An Efficient RANSAC for 3D Object Recognition in Noisy and Occluded Scenes", C.

Papazov and D. Burschka, ACCV 2010

Author
  Aitor Aldoma, Federico Tombari

Definition at line 55 of file hv_papazov.h.

## Constructor & Destructor Documentation

template<typename ModelT , typename SceneT >

pcl::PapazovHV< ModelT, SceneT >::PapazovHV | ( |  | ) |

inline

Definition at line 95 of file hv_papazov.h.

## Member Function Documentation

template<typename ModelT , typename SceneT >

void pcl::PapazovHV< ModelT, SceneT >::setConflictThreshold | ( | float | t | ) |

inline

Definition at line 101 of file hv_papazov.h.

template<typename ModelT , typename SceneT >

void pcl::PapazovHV< ModelT, SceneT >::setPenaltyThreshold | ( | float | t | ) |

inline

Definition at line 109 of file hv_papazov.h.

template<typename ModelT , typename SceneT >

void pcl::PapazovHV< ModelT, SceneT >::setSupportThreshold | ( | float | t | ) |

inline

Definition at line 105 of file hv_papazov.h.

template<typename ModelT , typename SceneT >

void pcl::PapazovHV< ModelT, SceneT >::verify | ( |  | ) |

virtual

Implements pcl::HypothesisVerification< ModelT, SceneT >.

Definition at line 226 of file hv_papazov.hpp.

The documentation for this class was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/recognition/include/pcl/recognition/hv/hv_papazov.h
- /build/pcl-6_P28C/pcl-1.7.2/recognition/include/pcl/recognition/impl/hv/hv_papazov.hpp